/**
 * My Account Styles
 * Loaded on: is_account_page()
 *
 * @package MCJ Child Theme
 * @version 1.0.0
 */

/* Account Page Header */
.woocommerce-account h1:after {
     content: "";
     display: block;
     height: 3px;
     background-color: #f0bf06;
     width: 25%;
     max-width: 110px;
     margin-bottom: 40px;
     margin-right: auto;
     margin-left: unset;
     margin-top: 20px;
}

/* Hide Downloads Link */
li.woocommerce-MyAccount-navigation-link.woocommerce-MyAccount-navigation-link--downloads {
     display: none !important;
}

/* Account Layout */
.woocommerce .col2-set .col-2,
.woocommerce-page .col2-set .col-2,
.woocommerce .col2-set .col-1,
.woocommerce-page .col2-set .col-1 {
     width: 100%;
     background: #f1f1f1;
     padding: 1em;
}

.col2-set.addresses {
     margin-bottom: 1em;
}

/* Navigation */
.woocommerce-account .woocommerce-MyAccount-navigation {
     width: 20%;
}

.woocommerce-account .woocommerce-MyAccount-content {
     display: inline-block;
     float: left;
     margin-left: 5%;
     width: 75%;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul {
     padding: 0 !important;
     border-top: 1px solid #eee;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li {
     list-style: none;
     border-bottom: 1px solid #eee;
     padding-bottom: 0;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a {
     display: block;
     padding: 0.5em;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a:before {
     font-family: 'FontAwesome';
     margin-right: 10px;
     color: var(--gold);
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li:hover a,
.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a {
     background-color: #fafafa;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a:before {
     opacity: 1;
}

/* Navigation Icons */
.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--dashboard a:before {
     font-family: 'FontAwesome';
     content: "\f0e4";
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--orders a:before {
     font-family: 'FontAwesome';
     content: "\f07a";
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--edit-address a:before {
     font-family: 'FontAwesome';
     content: "\f015";
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--payment-methods a:before {
     font-family: 'FontAwesome';
     content: "\f09d";
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--edit-account a:before {
     font-family: 'FontAwesome';
     content: "\f007";
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--customer-logout a:before {
     font-family: 'FontAwesome';
     content: "\f057";
}

/* Content Area */
.woocommerce-account .woocommerce-MyAccount-content h2 {
     font-size: 25px;
     text-align: center;
     font-weight: 600;
}

.woocommerce-account p.order-again {
     text-align: right;
}

.woocommerce-account .woocommerce-EditAccountForm input[type="submit"] {
     margin-top: 50px;
     float: right;
}

/* Login Form */
.woocommerce .woocommerce-form-login .woocommerce-form-login__rememberme {
     position: relative;
     top: 7px;
}

.woocommerce-LostPassword a:hover,
.woocommerce-LostPassword a:focus,
.woocommerce-LostPassword a:active {
     text-decoration: underline;
}

.woocommerce-MyAccount-content a {
     text-decoration: underline;
}

.woocommerce-MyAccount-content a:hover,
.woocommerce-MyAccount-content a:focus,
.woocommerce-MyAccount-content a:active {
     text-decoration: none;
}

.woocommerce-MyAccount-content form .form-row input.input-text {
     color: #000;
}

.woocommerce-MyAccount-content form p>.woocommerce-Button {
     margin-top: 1em;
}

.woocommerce-MyAccount-content form input~span {
     font-size: 14px;
}

.woocommerce-MyAccount-content form fieldset legend {
     font-size: 20px;
     padding-top: 15px;
}

/* Responsive Account */
@media (max-width: 767px) {
     .woocommerce-account .woocommerce-MyAccount-navigation,
     .woocommerce-account .woocommerce-MyAccount-content {
          width: 100%;
          margin-left: 0;
     }

     .woocommerce-account .woocommerce-MyAccount-navigation {
          margin-bottom: 2em;
     }
}
